質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

89.10%

Pytorchのインストールエラーについて

受付中

回答 1

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 95

Kokku

score 14

リンク内容

このページの参考に自分のパソコンにPytorchをインストールしようとしてるのですが
python setup.py build
python setup.py install
このコマンドを実行すると下のエラーが出てしまいます。

-----省略-------
Downloading https://files.pythonhosted.org/packages/f8/02/880b468bd382dc79896eaecbeb8ce95e9c4b99a24902874a2cef0b562cea/torch-0.1.2.post2.tar.gz#sha256=a43e37f8f927c5b18f80cd163daaf6a1920edafcab5102e02e3e14bb97d9c874
Best match: torch 0.1.2.post2
Processing torch-0.1.2.post2.tar.gz
Writing C:\Users\shota\AppData\Local\Temp\easy_install-dfkqfb6l\torch-0.1.2.post2\setup.cfg
Running torch-0.1.2.post2\setup.py -q bdist_egg --dist-dir C:\Users\shota\AppData\Local\Temp\easy_install-dfkqfb6l\torch-0.1.2.post2\egg-dist-tmp-dqzufkkc
Traceback (most recent call last):
  File "C:\Program Files\Python37\lib\site-packages\setuptools\sandbox.py", line 154, in save_modules
    yield saved
  File "C:\Program Files\Python37\lib\site-packages\setuptools\sandbox.py", line 195, in setup_context
    yield
  File "C:\Program Files\Python37\lib\site-packages\setuptools\sandbox.py", line 250, in run_setup
    _execfile(setup_script, ns)
  File "C:\Program Files\Python37\lib\site-packages\setuptools\sandbox.py", line 45, in _execfile
    exec(code, globals, locals)
  File "C:\Users\shota\AppData\Local\Temp\easy_install-dfkqfb6l\torch-0.1.2.post2\setup.py", line 265, in <module>
  File "C:\Program Files\Python37\lib\site-packages\setuptools\__init__.py", line 144, in setup
    return distutils.core.setup(**attrs)
  File "C:\Program Files\Python37\lib\distutils\core.py", line 148, in setup
    dist.run_commands()
  File "C:\Program Files\Python37\lib\distutils\dist.py", line 966, in run_commands
    self.run_command(cmd)
  File "C:\Program Files\Python37\lib\distutils\dist.py", line 985, in run_command
    cmd_obj.run()
  File "C:\Program Files\Python37\lib\site-packages\setuptools\command\bdist_egg.py", line 173, in run
    cmd = self.call_command('install_lib', warn_dir=0)
  File "C:\Program Files\Python37\lib\site-packages\setuptools\command\bdist_egg.py", line 159, in call_command
    self.run_command(cmdname)
  File "C:\Program Files\Python37\lib\distutils\cmd.py", line 313, in run_command
    self.distribution.run_command(command)
  File "C:\Program Files\Python37\lib\distutils\dist.py", line 985, in run_command
    cmd_obj.run()
  File "C:\Program Files\Python37\lib\site-packages\setuptools\command\install_lib.py", line 11, in run
    self.build()
  File "C:\Program Files\Python37\lib\distutils\command\install_lib.py", line 107, in build
    self.run_command('build_ext')
  File "C:\Program Files\Python37\lib\distutils\cmd.py", line 313, in run_command
    self.distribution.run_command(command)
  File "C:\Program Files\Python37\lib\distutils\dist.py", line 985, in run_command
    cmd_obj.run()
  File "C:\Users\shota\AppData\Local\Temp\easy_install-dfkqfb6l\torch-0.1.2.post2\setup.py", line 77, in run
    'Programming Language :: Python :: 3',
ModuleNotFoundError: No module named 'tools.cwrap'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "setup.py", line 81, in <module>
    'Programming Language :: Python :: 3.6',
  File "C:\Program Files\Python37\lib\site-packages\setuptools\__init__.py", line 144, in setup
    return distutils.core.setup(**attrs)
  File "C:\Program Files\Python37\lib\distutils\core.py", line 148, in setup
    dist.run_commands()
  File "C:\Program Files\Python37\lib\distutils\dist.py", line 966, in run_commands
    self.run_command(cmd)
  File "C:\Program Files\Python37\lib\distutils\dist.py", line 985, in run_command
    cmd_obj.run()
  File "C:\Program Files\Python37\lib\site-packages\setuptools\command\install.py", line 67, in run
    self.do_egg_install()
  File "C:\Program Files\Python37\lib\site-packages\setuptools\command\install.py", line 117, in do_egg_install
    cmd.run(show_deprecation=False)
  File "C:\Program Files\Python37\lib\site-packages\setuptools\command\easy_install.py", line 424, in run
    self.easy_install(spec, not self.no_deps)
  File "C:\Program Files\Python37\lib\site-packages\setuptools\command\easy_install.py", line 673, in easy_install
    return self.install_item(None, spec, tmpdir, deps, True)
  File "C:\Program Files\Python37\lib\site-packages\setuptools\command\easy_install.py", line 720, in install_item
    self.process_distribution(spec, dist, deps)
  File "C:\Program Files\Python37\lib\site-packages\setuptools\command\easy_install.py", line 765, in process_distribution
    [requirement], self.local_index, self.easy_install
  File "C:\Program Files\Python37\lib\site-packages\pkg_resources\__init__.py", line 783, in resolve
    replace_conflicting=replace_conflicting
  File "C:\Program Files\Python37\lib\site-packages\pkg_resources\__init__.py", line 1066, in best_match
    return self.obtain(req, installer)
  File "C:\Program Files\Python37\lib\site-packages\pkg_resources\__init__.py", line 1078, in obtain
    return installer(requirement)
  File "C:\Program Files\Python37\lib\site-packages\setuptools\command\easy_install.py", line 692, in easy_install
    return self.install_item(spec, dist.location, tmpdir, deps)
  File "C:\Program Files\Python37\lib\site-packages\setuptools\command\easy_install.py", line 718, in install_item
    dists = self.install_eggs(spec, download, tmpdir)
  File "C:\Program Files\Python37\lib\site-packages\setuptools\command\easy_install.py", line 903, in install_eggs
    return self.build_and_install(setup_script, setup_base)
  File "C:\Program Files\Python37\lib\site-packages\setuptools\command\easy_install.py", line 1171, in build_and_install
    self.run_setup(setup_script, setup_base, args)
  File "C:\Program Files\Python37\lib\site-packages\setuptools\command\easy_install.py", line 1157, in run_setup
    run_setup(setup_script, args)
  File "C:\Program Files\Python37\lib\site-packages\setuptools\sandbox.py", line 253, in run_setup
    raise
  File "C:\Program Files\Python37\lib\contextlib.py", line 130, in __exit__
    self.gen.throw(type, value, traceback)
  File "C:\Program Files\Python37\lib\site-packages\setuptools\sandbox.py", line 195, in setup_context
    yield
  File "C:\Program Files\Python37\lib\contextlib.py", line 130, in __exit__
    self.gen.throw(type, value, traceback)
  File "C:\Program Files\Python37\lib\site-packages\setuptools\sandbox.py", line 166, in save_modules
    saved_exc.resume()
  File "C:\Program Files\Python37\lib\site-packages\setuptools\sandbox.py", line 141, in resume
    six.reraise(type, exc, self._tb)
  File "C:\Program Files\Python37\lib\site-packages\setuptools\_vendor\six.py", line 685, in reraise
    raise value.with_traceback(tb)
  File "C:\Program Files\Python37\lib\site-packages\setuptools\sandbox.py", line 154, in save_modules
    yield saved
  File "C:\Program Files\Python37\lib\site-packages\setuptools\sandbox.py", line 195, in setup_context
    yield
  File "C:\Program Files\Python37\lib\site-packages\setuptools\sandbox.py", line 250, in run_setup
    _execfile(setup_script, ns)
  File "C:\Program Files\Python37\lib\site-packages\setuptools\sandbox.py", line 45, in _execfile
    exec(code, globals, locals)
  File "C:\Users\shota\AppData\Local\Temp\easy_install-dfkqfb6l\torch-0.1.2.post2\setup.py", line 265, in <module>
  File "C:\Program Files\Python37\lib\site-packages\setuptools\__init__.py", line 144, in setup
    return distutils.core.setup(**attrs)
  File "C:\Program Files\Python37\lib\distutils\core.py", line 148, in setup
    dist.run_commands()
  File "C:\Program Files\Python37\lib\distutils\dist.py", line 966, in run_commands
    self.run_command(cmd)
  File "C:\Program Files\Python37\lib\distutils\dist.py", line 985, in run_command
    cmd_obj.run()
  File "C:\Program Files\Python37\lib\site-packages\setuptools\command\bdist_egg.py", line 173, in run
    cmd = self.call_command('install_lib', warn_dir=0)
  File "C:\Program Files\Python37\lib\site-packages\setuptools\command\bdist_egg.py", line 159, in call_command
    self.run_command(cmdname)
  File "C:\Program Files\Python37\lib\distutils\cmd.py", line 313, in run_command
    self.distribution.run_command(command)
  File "C:\Program Files\Python37\lib\distutils\dist.py", line 985, in run_command
    cmd_obj.run()
  File "C:\Program Files\Python37\lib\site-packages\setuptools\command\install_lib.py", line 11, in run
    self.build()
  File "C:\Program Files\Python37\lib\distutils\command\install_lib.py", line 107, in build
    self.run_command('build_ext')
  File "C:\Program Files\Python37\lib\distutils\cmd.py", line 313, in run_command
    self.distribution.run_command(command)
  File "C:\Program Files\Python37\lib\distutils\dist.py", line 985, in run_command
    cmd_obj.run()
  File "C:\Users\shota\AppData\Local\Temp\easy_install-dfkqfb6l\torch-0.1.2.post2\setup.py", line 77, in run
    'Programming Language :: Python :: 3',
ModuleNotFoundError: No module named 'tools.cwrap'

tools.cwrapのモジュールエラーが起きてしまいます。管理者でコマンドプロンプトを開き、参考ページの通りに、進めて知ると思うのですが、えれあーになっていしまいます。

解決法があれば教えていただきたいです。

c:\pytools\face-alignment>pip list
Package         Version
--------------- -----------
cycler          0.10.0
decorator       4.4.2
dlib            19.20.99
face-alignment  1.0.1
future          0.18.2
imageio         2.8.0
kiwisolver      1.2.0
matplotlib      3.2.2
networkx        2.4
numpy           1.19.0
opencv-python   4.2.0.34
Pillow          7.1.2
pip             20.1.1
pyparsing       2.4.7
python-dateutil 2.8.1
PyWavelets      1.1.1
PyYAML          5.3.1
scikit-image    0.17.2
scipy           1.4.0
setuptools      47.1.0
six             1.15.0
tifffile        2020.6.3
torchvision     0.6.1+cu101
tqdm            4.47.0
  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

質問への追記・修正、ベストアンサー選択の依頼

  • quiqui

    2020/06/29 23:50

    なにをしてエラーになったのかが書いてありません

    キャンセル

  • quiqui

    2020/06/29 23:54

    pip list の結果があるとよい気がします

    キャンセル

  • Kokku

    2020/06/30 00:11

    ご指摘ありがとうございます。追記しました。

    キャンセル

回答 1

0

torchが入っていないようです。


レポジトリを git clone してそのコマンドを実行していると思いますが、その前にtorchをセットアップしている前提です。

https://pytorch.org/ で OS インストール方法 Python CUDAバージョンを選択してコマンド実行したはずです。

例えばpip+CUDA10.1なら、
pip install torch==1.5.1+cu101 torchvision==0.6.1+cu101 -f https://download.pytorch.org/whl/torch_stable.html
でした。ここでtorchが入ったはずですが今のpip listの結果にはそれがありません。

その時何をしたのかエラーが出なかったのかなどを質問に追記するべきです。
それがわからなくなっているならtorchvisionは削除して(あるいはpip install --force-reinstallを使って)、torchのインストールまで戻ってやり直すのがいいでしょう。

投稿

編集

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2020/06/30 23:24

    やり直してもだめだったのでjupyterにインストールしました。
    ありがとうございました。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 89.10%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる